<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTemplateTaskTypesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('template_task_types', function($table){
			
			$table->unsignedBigInteger('template_id');
			$table->unsignedBigInteger('task_type_id');
			$table->timestamps();

			// Composite Primary KEY
			$table->primary(array('template_id', 'task_type_id'));
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('template_task_types');
	}


}
